;--
;
; Copyright (c) 2015 George M. Gallant, Jr.
;
; Permission is hereby granted, free of charge, to any person obtaining a copy
; of this software and associated documentation files (the "Software"), to deal
; in the Software without restriction, including without limitation the rights
; to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
; copies of the Software, and to permit persons to whom the Software is
; furnished to do so, subject to the following conditions:
;
; The above copyright notice and this permission notice shall be included in
; all copies or substantial portions of the Software.
;
; THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
; IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
; FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
; AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
; LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
; OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
; THE SOFTWARE.
;
;--
		include	"pov.inc"

		code
		global	tmr2Init, tmr3Init

		page
;--
;
;	Timer 2 Initialization
;
;	Timer 2 will auto reload upon reaching terminal count
;
;	This interval is really a variable that is dependent
;	on the current rotational speed.
;--
tmr2Init:	movlw	PR2_RESET			; setup the period
		movwf	PR2

		bsf	IPR1, TMR2IP			; high priority
		bsf	PIE1, TMR2IE			; enable the interrupts

		movlw	T2_PST | T2_PRE			; post 5:1, pre 4:1
		movwf	T2CON

		return

;--
;
;	TIMER 3 Initialization
;
;	Timer 3 is used to measure the rotation speed
;
;--
tmr3Init:	movlw	(1 << RD16) | (3 << 4) | (1 << TMR3ON)
		movwf	T3CON

		return

		end
		
